# forName<C> static method

Class<C> forName<C>(

1. String name, [
2. ProtectionDomain? domain,
3. String? package

])

Creates a Class instance for a runtime type name.

Type Parameters:

- `C`: The class type to reflect

Parameters:

- `name`: The class name to reflect
- `domain`: Optional protection domain
- `package`: Optional package name to search with

Returns:

- A Class instance for the named type

## Implementation

    static Class<C> forName<C>(String name, [ProtectionDomain? domain, String? package]) {
      return _Class<C>(name, domain ?? ProtectionDomain.current(), package);
    }